[pyoperators] 06/10: Add packaging testsuite.
Ghislain Vaillant
ghisvail-guest at moszumanska.debian.org
Fri Jun 10 21:23:43 UTC 2016
This is an automated email from the git hooks/post-receive script.
ghisvail-guest pushed a commit to branch master
in repository pyoperators.
commit 23a1852e072ab208a6f4627714a98d5d79e159dd
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date: Fri Jun 10 14:48:11 2016 +0100
Add packaging testsuite.
---
debian/control | 1 +
debian/tests/control | 9 +++++++++
debian/tests/python2 | 12 ++++++++++++
debian/tests/python3 | 12 ++++++++++++
4 files changed, 34 insertions(+)
diff --git a/debian/control b/debian/control
index a65b867..ef4e7d3 100644
--- a/debian/control
+++ b/debian/control
@@ -2,6 +2,7 @@ Source: pyoperators
Maintainer: Debian Science Maintainers <debian-science-maintainers at lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail at gmail.com>
Section: python
+Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
cython,
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..95c5661
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,9 @@
+Tests: python2
+Depends: python-all,
+ python-nose,
+ python-pyoperators
+
+Tests: python3
+Depends: python3-all,
+ python3-nose,
+ python3-pyoperators
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..fc44113
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null)"
+
+cp -a ./test "$ADTTMP"
+cd "$ADTTMP"
+
+for py in $pys; do
+ echo "=== $py ==="
+ $py -m nose test 2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..c273ded
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -r 2>/dev/null)"
+
+cp -a ./test "$ADTTMP"
+cd "$ADTTMP"
+
+for py in $pys; do
+ echo "=== $py ==="
+ $py -m nose test 2>&1
+done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pyoperators.git
More information about the debian-science-commits
mailing list